/*
 * BasicNode.cpp
 *
 *  Created on: 05.08.2010
 *      Author: kobitzsch
 */

#include "BasicNode.h"
#include <cstdlib>
#include <sstream>
#include <limits>
#include <iostream>

		BasicNode::BasicNode( const unsigned int & first_node_edge_)
			: first_node_edge( first_node_edge_ )
		{}

		BasicNode::BasicNode()
			: first_node_edge( ( std::numeric_limits< unsigned int >::max()) )
		{}

		BasicNode::~BasicNode(){}

		void BasicNode::setFirstEdgeID( const unsigned int & first_node_edge_ ){
			first_node_edge = first_node_edge_;
		}

		std::string BasicNode::toString() const {
			std::ostringstream os;
			os << first_node_edge;
			return os.str();
		}

		void BasicNode::serialize( std::ostream & os) const{
			os.write( reinterpret_cast< const char * > (& first_node_edge), sizeof( unsigned int ) );
		}
		void BasicNode::deserialize( std::istream & is ){
			is.read( reinterpret_cast< char * > (& first_node_edge), sizeof( unsigned int ) );
		}
