/*
 * BasicNode.h
 *
 *  Created on: 05.08.2010
 *      Author: kobitzsch
 *
 *
 * Basic node, stores no information what so ever
 */

#ifndef BASICNODE_H_
#define BASICNODE_H_

#include <string>

		class BasicNode {
		public:
			BasicNode( const unsigned int & );
			BasicNode( void );
			~BasicNode();

			static unsigned int byteSize(){
				return sizeof( unsigned int );
			}

			inline const unsigned int & firstEdgeID( void ) const{ return first_node_edge; }
			void setFirstEdgeID( const unsigned int & );

			std::string toString() const;

			void serialize( std::ostream & ) const;
			void deserialize( std::istream & );

		private:
			unsigned int first_node_edge;
		};


#endif /* BASICNODE_H_ */
